import marshmallow


class Config:
    def __init__(self, settings):
        self.settings = settings


class ConfigSchema(marshmallow.Schema):
    settings = marshmallow.fields.Dict()

    @marshmallow.post_load
    def make_config(self, data, **kwargs):
        return Config(**data)
